Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 1402)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 1403)
@@ -1566,16 +1566,16 @@
 
 	/**
 	 * Clones nodes. Creates a local node for the destination result and copy it all the source result parameters.
-	 * @param srcResult
-	 * @param dstResult
+	 * @param srcResult node path
+	 * @param dstResult node path
 	 */
-	public static void cloneNode(TXMResult srcResult, TXMResult dstResult)	{
-		Preferences preferences = preferencesRootNode.node(srcResult.getParametersNodePath());
-		if(preferences != null)	{
+	public static void cloneNode(String srcResult, String dstResult)	{
+		Preferences preferences = preferencesRootNode.node(srcResult);
+		Preferences dstPreferences = preferencesRootNode.node(dstResult);
+		if (preferences != null)	{
 			try {
-				String[] keys = preferences.keys();
-				for(int i = 0; i < keys.length; i++) {
-					dstResult.saveParameter(keys[i], preferences.get(keys[i], ""));
+				for(String key : preferences.keys()) {
+					dstPreferences.put(key, preferences.get(key, ""));
 				}
 			}
 			catch(BackingStoreException e) {
@@ -1584,6 +1584,15 @@
 			}
 		}
 	}
+	
+	/**
+	 * Clones nodes. Creates a local node for the destination result and copy it all the source result parameters.
+	 * @param srcResult
+	 * @param dstResult
+	 */
+	public static void cloneNode(TXMResult srcResult, TXMResult dstResult)	{
+		cloneNode(srcResult.getParametersNodePath(), dstResult.getParametersNodePath());
+	}
 
 
 
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1402)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1403)
@@ -21,6 +21,7 @@
 import org.apache.commons.lang.StringUtils;
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.core.runtime.preferences.DefaultScope;
+import org.eclipse.osgi.util.NLS;
 import org.osgi.framework.FrameworkUtil;
 import org.osgi.service.prefs.BackingStoreException;
 import org.txm.Toolbox;
@@ -1798,15 +1799,37 @@
 	public abstract void clean();
 
 	@Override
-	public Object clone() {
+	public TXMResult clone() {
+		return clone(null, true);
+	}
+	
+	public TXMResult clone(boolean all) {
+		return clone(null, all);
+	}
+	/**
+	 * recursive method to clone a result
+	 * @param newParent necessary for cloning children in the right clone parent
+	 * @param all
+	 * @return
+	 */
+	protected TXMResult clone(TXMResult newParent, boolean all) {
 		TXMResult clone = null;
 		try {
-			clone = (TXMResult) super.clone();
-			clone.parametersNodePath = this.getProject().getParametersNodeRootPath()+ createUUID() + "_" + this.getClass().getSimpleName(); //$NON-NLS-1$;
-			this.parent.addChild(clone);
-			TXMPreferences.cloneNode(this, clone);
-			clone.dirty = true;
+			String newNodePath = this.getProject().getParametersNodeRootPath()+ createUUID() + "_" + this.getClass().getSimpleName();
+			TXMPreferences.cloneNode(this.getParametersNodePath(), newNodePath);
+			
+			if (newParent != null) { // change the cloned node parent preference
+				TXMPreferences.put(newNodePath, TXMPreferences.PARENT_PARAMETERS_NODE_PATH, newParent.getParametersNodePath());
+			}
+			clone =  this.getClass().getDeclaredConstructor(String.class).newInstance(newNodePath);
+			
+			if (all) {
+				for (TXMResult child : this.children) {
+					child.clone(clone, all);
+				}
+			}
 		} catch (Exception e) {
+			System.out.println(NLS.bind("Fail to clone {0}: {1}", this, e));
 			Log.printStackTrace(e);
 		}
 		return clone;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/CloneTXMResult.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/CloneTXMResult.java	(revision 1402)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/CloneTXMResult.java	(revision 1403)
@@ -44,30 +44,29 @@
 public class CloneTXMResult extends BaseAbstractHandler {
 
 
-	
+
 	/* (non-Javadoc)
 	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
 	 */
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 
-		System.out.println("CloneTXMResult.execute(): clone tests.");
+		//System.out.println("CloneTXMResult.execute(): clone tests.");
 		IStructuredSelection selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
-		System.out.println("CloneTXMResult.execute() selection class: " + selection);
-		if(selection.getFirstElement() instanceof TXMResult)	{
-			TXMResult srcNode =  ((TXMResult) selection.getFirstElement());
-			TXMResult clone = (TXMResult) srcNode.clone();
-			
-			// FIXME: hierarchy tests
-			//srcNode.addChild(clone);
-			CorporaView.refresh();
-			return null;
-		}
-		else	{
+		//System.out.println("CloneTXMResult.execute() selection class: " + selection);
+
+		if (!(selection.getFirstElement() instanceof TXMResult))	{
+			System.out.println("Only TXMResult can be cloned.");
 			return super.logCanNotExecuteCommand(selection);
 		}
 
+		TXMResult srcNode =  ((TXMResult) selection.getFirstElement());
+
+		TXMResult parent = srcNode.getParent();
 		
+		srcNode.clone(false);
+
+		CorporaView.refreshObject(parent);
+		return null;
 	}
-	
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/CloneTXMResultTree.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/CloneTXMResultTree.java	(revision 0)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/CloneTXMResultTree.java	(revision 1403)
@@ -0,0 +1,74 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.rcp.handlers.results;
+
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.core.results.TXMResult;
+import org.txm.rcp.handlers.BaseAbstractHandler;
+import org.txm.rcp.views.corpora.CorporaView;
+
+/**
+ * Clone the selected TXM result node.
+ * 
+ * @author sjacquot
+ * 
+ */
+public class CloneTXMResultTree extends BaseAbstractHandler {
+
+
+	
+	/* (non-Javadoc)
+	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
+	 */
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+
+		//System.out.println("CloneTXMResult.execute(): clone tests.");
+		IStructuredSelection selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
+		//System.out.println("CloneTXMResult.execute() selection class: " + selection);
+
+		if (!(selection.getFirstElement() instanceof TXMResult))	{
+			System.out.println("Only TXMResult can be cloned");
+			return super.logCanNotExecuteCommand(selection);
+		}
+
+		TXMResult srcNode =  ((TXMResult) selection.getFirstElement());
+
+		TXMResult parent = srcNode.getParent();
+		
+		srcNode.clone();
+
+		CorporaView.refreshObject(parent);
+		return null;
+		
+	}
+	
+}

Property changes on: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/CloneTXMResultTree.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java	(revision 1402)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java	(revision 1403)
@@ -340,33 +340,34 @@
 			}
 		});
 		
-		Button importButton = new Button(advanceContainer, SWT.NONE);
-		importButton.setLayoutData(new GridData(GridData.HORIZONTAL_ALIGN_CENTER,
-				GridData.FILL, false, false));
-		importButton.setText("Import from properties file..."); //$NON-NLS-1$
-		importButton.addListener(SWT.Selection, new Listener() {
-			@Override
-			public void handleEvent(Event event) {
-				FileDialog d = new FileDialog(event.display.getActiveShell());
-				d.setFilterExtensions(new String[] {"*.properties"});
-				d.setText("Select a properties file containing CQL queries");
-				String path = d.open();
-				if (path != null) {
-					Properties props = new Properties();
-					try {
-						props.load(IOUtils.getReader(new File(path)));
-						for (Object key : props.keySet()) {
-							String value = props.getProperty(key.toString());
-							QueryWidget qw = addQueryField(key.toString().substring(0, Math.min(20, key.toString().length())), value);
-						}
-					} catch (Exception e) {
-						// TODO Auto-generated catch block
-						e.printStackTrace();
-					}
-				}
-				
-			}
-		});
+		//TODO enable when specified
+//		Button importButton = new Button(advanceContainer, SWT.NONE);
+//		importButton.setLayoutData(new GridData(GridData.HORIZONTAL_ALIGN_CENTER,
+//				GridData.FILL, false, false));
+//		importButton.setText("Import from properties file..."); //$NON-NLS-1$
+//		importButton.addListener(SWT.Selection, new Listener() {
+//			@Override
+//			public void handleEvent(Event event) {
+//				FileDialog d = new FileDialog(event.display.getActiveShell());
+//				d.setFilterExtensions(new String[] {"*.properties"});
+//				d.setText("Select a properties file containing CQL queries");
+//				String path = d.open();
+//				if (path != null) {
+//					Properties props = new Properties();
+//					try {
+//						props.load(IOUtils.getReader(new File(path)));
+//						for (Object key : props.keySet()) {
+//							String value = props.getProperty(key.toString());
+//							QueryWidget qw = addQueryField(key.toString().substring(0, Math.min(20, key.toString().length())), value);
+//						}
+//					} catch (Exception e) {
+//						// TODO Auto-generated catch block
+//						e.printStackTrace();
+//					}
+//				}
+//				
+//			}
+//		});
 
 		compositeForAdvanced = new Composite(scrollComposite, SWT.NONE);
 		GridLayout layoutForAdvanced = new GridLayout(3, false);
Index: tmp/org.txm.rcp/plugin.xml
===================================================================
--- tmp/org.txm.rcp/plugin.xml	(revision 1402)
+++ tmp/org.txm.rcp/plugin.xml	(revision 1403)
@@ -2019,6 +2019,42 @@
                   </reference>
                </visibleWhen>
             </command>
+            <command
+                  commandId="org.txm.rcp.handlers.results.CloneTXMResult"
+                  label="Cloner"
+                  style="push">
+               <visibleWhen
+                     checkEnabled="false">
+                  <and>
+                     <reference
+                           definitionId="OneTXMResultSelected">
+                     </reference>
+                     <not>
+                        <reference
+                              definitionId="OneMainCorpusSelected">
+                        </reference>
+                     </not>
+                  </and>
+               </visibleWhen>
+            </command>
+            <command
+                  commandId="org.txm.rcp.handlers.results.CloneTXMResultTree"
+                  label="Cloner tout"
+                  style="push">
+               <visibleWhen
+                     checkEnabled="false">
+                  <and>
+                     <reference
+                           definitionId="OneTXMResultSelected">
+                     </reference>
+                     <not>
+                        <reference
+                              definitionId="OneMainCorpusSelected">
+                        </reference>
+                     </not>
+                  </and>
+               </visibleWhen>
+            </command>
             
             <command
                   commandId="org.txm.rcp.handlers.results.DeleteObject"
@@ -2570,9 +2606,14 @@
       </command>
       <command
             defaultHandler="org.txm.rcp.handlers.results.CloneTXMResult"
-            id="CloneTXMResult"
+            id="org.txm.rcp.handlers.results.CloneTXMResult"
             name="Clone">
       </command>
+            <command
+            defaultHandler="org.txm.rcp.handlers.results.CloneTXMResultTree"
+            id="org.txm.rcp.handlers.results.CloneTXMResultTree"
+            name="Clone all">
+      </command>
    </extension>
    <extension
          id="scripts"
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 1402)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 1403)
@@ -24,48 +24,48 @@
  */
 public abstract class ChartResult extends TXMResult {
 
-	
+
 	/**
 	 * Linked charts engine.
 	 */
 	protected ChartsEngine chartsEngine;
-	
+
 	/**
 	 * The chart object.
 	 */
 	protected Object chart;
-	
+
 	/**
 	 * The chart dirty state.
 	 */
 	protected boolean chartDirty;
-	
+
 	/**
 	 * If true, the view (zoom, pan, etc.) will be reset when the chart will be updated.
 	 */
 	protected boolean needsToResetView;
-	
+
 	/**
 	 * If true, the items selection will cleared when the chart will be updated.
 	 */
 	protected boolean needsToClearItemsSelection;
 
-	
-	
 
+
+
 	/**
 	 * The chart type;
 	 */
 	@Parameter(key=ChartsEnginePreferences.CHART_TYPE, type=Parameter.RENDERING)
 	protected String chartType;
-	
-	
+
+
 	/**
 	 * To show/hide title.
 	 */
 	@Parameter(key=ChartsEnginePreferences.SHOW_TITLE, type=Parameter.RENDERING)
 	protected boolean titleVisible;
-	
+
 	/**
 	 * To show/hide legend.
 	 */
@@ -83,23 +83,23 @@
 	 */
 	@Parameter(key=ChartsEnginePreferences.RENDERING_COLORS_MODE, type=Parameter.RENDERING)
 	protected int renderingColorsMode;
-	
+
 	/**
 	 * Font.
 	 */
 	@Parameter(key=ChartsEnginePreferences.FONT, type=Parameter.RENDERING)
 	protected String font;
 
-	
+
 	/**
 	 * Multiple lines styles/strokes.
 	 */
 	@Parameter(key=ChartsEnginePreferences.MULTIPLE_LINE_STROKES, type=Parameter.RENDERING)
 	protected boolean multipleLineStrokes;
-	
-	
 
-	
+
+
+
 	/**
 	 * Creates a new ChartResult child of the specified parent.
 	 * @param parent
@@ -107,8 +107,8 @@
 	public ChartResult(TXMResult parent) {
 		this(null, parent);
 	}
-	
-	
+
+
 	/**
 	 * Creates a new ChartResult with no parent.
 	 * If a local node exist with the parent_uuid, the parent will be retrieved and this result will be added to it. 
@@ -117,7 +117,7 @@
 	public ChartResult(String parametersNodePath) {
 		this(parametersNodePath, null);
 	}
-	
+
 	/**
 	 * Creates a new ChartResult child of the specified parent.
 	 * @param uuid
@@ -130,8 +130,8 @@
 		this.needsToResetView = false;
 		this.needsToClearItemsSelection = false;
 	}
-	
-	
+
+
 	@Override
 	protected boolean autoLoadParametersFromAnnotations() throws Exception {
 		return (super.autoLoadParametersFromAnnotations()
@@ -175,7 +175,7 @@
 			return false;
 		}
 	}
-	
+
 	/**
 	 * Renders the chart using the right chart creator.
 	 * The chart is created if needed then it is updated.
@@ -198,9 +198,9 @@
 			return true;
 		}
 
-		
+
 		ChartCreator chartCreator = this.getChartCreator();
-		
+
 		// try to find a chart creator in other charts engines
 		if(chartCreator == null)	{
 			for (int i = 0; i < ChartsEngine.getChartsEngines().size(); i++) {
@@ -215,10 +215,10 @@
 				}
 			}
 		}
-		
-		
+
+
 		if(chartCreator != null)	{
-			
+
 			// FIXME: fix #1
 			// FIXME: SJ: without this, this.hasParameterChanged(ChartsEnginePreferences.CHART_TYPE) returns true for results that added their computing parameters in the parameter history.
 			// Since the stack is shared by computing and rendering parameters, this.hasParameterChanged(ChartsEnginePreferences.CHART_TYPE) returns true because the parameter doesn't exist in the last stack entry filled only with the computing parameter
@@ -238,44 +238,44 @@
 					//(this.getLastParametersFromHistory().get(ChartsEnginePreferences.CHART_TYPE) != null && 
 					this.hasParameterChanged(ChartsEnginePreferences.CHART_TYPE)
 					//)
-					
+
 					) {
 				Log.finest("+++ ChartResult.renderChart(): creating chart."); //$NON-NLS-1$
 
 				this.chart = chartCreator.createChart(this);
 			}
-			
+
 			// Updating
 			Log.finest("ChartResult.renderChart(): updating chart.");
-			
+
 			// the update must be done here (BEFORE the call of this.updateLastRenderingParameters()) rather than in the SWTChartComponentsProvider => the problem is that for File based Engine, the file may be created twice, need to check this
 			// also before the call of this.updateLastParameters() to be able to check if a computing parameter has changed in the chart creators 
 			chartCreator.updateChart(this);
-			
+
 			// FIXME: needed by the above fix #1
 			// reupdate the last computing parameters
 			this.updateLastParameters();
-			
+
 			this.updateLastRenderingParameters();
-			
+
 			this.needsToClearItemsSelection = false;
 			this.needsToResetView = false;
-			
+
 			this.chartDirty = false;
-			
+
 			// Debug
 			Log.finest("ChartResult.renderChart(): chart rendering done."); //$NON-NLS-1$
 
 			return true;
-			
+
 		}
 		else	{
 			Log.severe("ChartResult.renderChart(): can not find any suitable chart creator for result: " + this.getClass() + "."); //$NON-NLS-1$
 			return false;
 		}
 	}
-	
-	
+
+
 	@Override
 	public boolean hasParameterChanged(String key) {
 		if (key.isEmpty()) {
@@ -283,14 +283,14 @@
 		}
 		return super.hasParameterChanged(key);
 	}
-	
 
-	
+
+
 	@Override
 	public String dumpParameters() {
 		return super.dumpParameters() + "\n" + this.dumpParameters(Parameter.RENDERING); //$NON-NLS-1$
 	}
-	
+
 	/**
 	 * Updates the parameters used for last rendering.
 	 * 
@@ -299,7 +299,7 @@
 	protected void updateLastRenderingParameters() throws Exception {
 		this.updateLastParameters(Parameter.RENDERING, true);
 	}
-	
+
 	/**
 	 * Clears the parameters used for last rendering.
 	 * Dedicated to force a chart recreation, eg. for cloning the chart result or for dynamically changing the chart type .
@@ -308,15 +308,15 @@
 	public void clearLastRenderingParameters() {
 		this.clearLastParameters(Parameter.RENDERING);
 	}
-	
-	
+
+
 	/**
 	 * 
 	 * @return
 	 * @throws Exception
 	 */
 	public final boolean isChartDirtyFromHistory() throws Exception {
-		
+
 		List<Field> fields = this.getAllFields();
 
 		for (Field f : fields) {
@@ -324,7 +324,7 @@
 			if (parameter == null || parameter.type() != Parameter.RENDERING) {
 				continue;
 			}
-			
+
 			String name;
 			if(!parameter.key().isEmpty())	{
 				name = parameter.key();
@@ -332,15 +332,15 @@
 			else	{
 				name = f.getName();
 			}
-			
+
 			f.setAccessible(true); // not to set accessible to test the field values
-			
+
 			// FIXME: old version
 			//Object previousValue = this.lastParameters.get(name);
 			// FIXME: new version with stack
 			Object previousValue = this.getLastParametersFromHistory().get(name);
-			
-			
+
+
 			Object newValue = f.get(this);
 			this.updateChartDirty(previousValue, newValue);
 			if (this.chartDirty) {
@@ -351,8 +351,8 @@
 		}
 		return this.chartDirty;
 	}
-	
-	
+
+
 	/**
 	 * Updates the chart dirty state by comparing an old parameter with a new one.
 	 * 
@@ -368,24 +368,20 @@
 			this.chartDirty = true;
 		}
 	}
-	
+
 	@Override
-	public Object clone() {
+	public ChartResult clone() {
 		ChartResult clone = null;
-	    try {
-			clone = (ChartResult) super.clone();
-			clone.chart = null;
-			// FIXME: would be nice to clone the chart if possible instead of clearing the last rendering parameters?
-			//clone.chart = this.chart.clone();
-			clone.clearLastRenderingParameters(); // to force recreation of the chart at next computing
-			clone.chartDirty = true;
-			clone.hasBeenComputedOnce = false;
-		}
-		catch(Exception e) {
-		}
-	    return clone;
+		clone = (ChartResult) super.clone();
+		clone.chart = null;
+		// FIXME: would be nice to clone the chart if possible instead of clearing the last rendering parameters?
+		//clone.chart = this.chart.clone();
+		clone.clearLastRenderingParameters(); // to force recreation of the chart at next computing
+		clone.chartDirty = true;
+		clone.hasBeenComputedOnce = false;
+		return clone;
 	}
-	
+
 	/**
 	 * @return the chart
 	 */
@@ -409,15 +405,15 @@
 	public ChartCreator getChartCreator()	{
 		return this.chartsEngine.getChartCreator(this);
 	}
-	
+
 	/**
 	 * @param chartType the chartType to set
 	 */
 	public void setChartType(String chartType) {
 		this.chartType = chartType;
 		// clear all last parameters to force a full recomputing
-//		this.clearLastComputingParameters();
-//		this.clearLastRenderingParameters();
+		//		this.clearLastComputingParameters();
+		//		this.clearLastRenderingParameters();
 	}
 
 	/**
@@ -435,8 +431,8 @@
 		return ChartsEnginePreferences.DEFAULT_CHART_TYPE.equals(this.chartType);
 	}
 
-	
-	
+
+
 	/**
 	 * @return the chartDirty
 	 */
@@ -593,13 +589,13 @@
 		this.chart = chart;
 	}
 
-	
 
+
 	// FIXME
-//	public Object createChart(IProgressMonitor monitor, String chartType)	{
-//		Object chart = null;
-//		ChartCreator chartCreator = ChartsEngine.getCurrent().getChartCreator(this.getClass(), chartType);
-//		return chart;
-//	}
-	
+	//	public Object createChart(IProgressMonitor monitor, String chartType)	{
+	//		Object chart = null;
+	//		ChartCreator chartCreator = ChartsEngine.getCurrent().getChartCreator(this.getClass(), chartType);
+	//		return chart;
+	//	}
+
 }
Index: tmp/org.txm.partition.rcp/plugin.xml
===================================================================
--- tmp/org.txm.partition.rcp/plugin.xml	(revision 1402)
+++ tmp/org.txm.partition.rcp/plugin.xml	(revision 1403)
@@ -64,16 +64,6 @@
                </or>
             </visibleWhen>
          </command>
-         <command
-               commandId="CloneTXMResult"
-               style="push">
-            <visibleWhen
-                  checkEnabled="false">
-               <test
-                     property="org.txm.partition.rcp.test1">
-               </test>
-            </visibleWhen>
-         </command>
       </menuContribution>
    </extension>
    <extension
